Skip to content
Proud to collaborate with Microsoft for Startups

docusign.power-form-data.get-power-form-form-data ​

This method enables Powerform Administrators or the sender of a PowerForm to download the data that recipients have entered into a PowerForm. You specify the format in which you want to retrieve the data in the Accept header. This header accepts the following values: - application/json: JSON format - application/xml: XML format - text/csv: Comma-separated value (CSV) format You can further specify the type of CSV format in the data_layout query parameter. Note: Only PowerForm Administrators or the PowerForm Sender can download the data associated with a PowerForm.

Returns the data that users entered in a PowerForm.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
powerformidstringYes—The ID of the PowerForm.
data_layoutstringNo—The layout in which to return the PowerForm data. For each of the following layouts, set the Accept header to the corresponding value. Valid values are: - Native (Set Accept header to application/json) - Csv_Classic (Set Accept header to application/csv) - Csv_One_Envelope_Per_Line (Set Accept header to text/csv) - Xml_Classic (Set Accept header to application/xml)
from_datestringNo—The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied.
to_datestringNo—The end date of a date range in UTC DateTime format. The default value is UtcNow.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
powerformidstringYes—The ID of the PowerForm.
data_layoutstringNo—The layout in which to return the PowerForm data. For each of the following layouts, set the Accept header to the corresponding value. Valid values are: - Native (Set Accept header to application/json) - Csv_Classic (Set Accept header to application/csv) - Csv_One_Envelope_Per_Line (Set Accept header to text/csv) - Xml_Classic (Set Accept header to application/xml)
from_datestringNo—The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied.
to_datestringNo—The end date of a date range in UTC DateTime format. The default value is UtcNow.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/powerforms/{powerFormId}/form_data
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.power-form-data.get-power-form-form-data",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "powerformid": "value"
  }
}